Page MenuHomePhabricator

[ASTImporter] At import of records re-order indirect fields too.
ClosedPublic

Authored by balazske on Aug 28 2019, 2:54 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

balazske created this revision.Aug 28 2019, 2:54 AM

Looks good, I just have a comment about the matcher.

clang/unittests/AST/ASTImporterTest.cpp
1434 ↗(On Diff #217591)

This name sounds strange for me, perhaps hasAnyKindOfFieldOrder ?
Also, this matcher I think supersedes the hasFieldOrder, I mean in the tests where we use hasFieldOrder we could use this new matcher too, can't we? In that case, however, we can delete the old implementation.

balazske updated this revision to Diff 217816.Aug 29 2019, 3:23 AM
  • Simplified field matcher in tests.
martong accepted this revision.Aug 29 2019, 5:21 AM

LGTM!

This revision is now accepted and ready to land.Aug 29 2019, 5:21 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 2 2019, 12:18 AM